# Copyright (C) 2021 Taavi Väänänen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
from setuptools import find_packages, setup

setup(
    name="preseedd",
    version="0.1",
    author="Taavi Väänänen",
    author_email="taavi@majava.org",
    license="AGPL-3.0-or-later",
    packages=find_packages(),
    include_package_data=True,
    description="d-i preseed generator",
    install_requires=[
        "flask",
        "hvac",
        "requests",
        "python-graphql-client",
        "PyYAML",
    ],
)
